Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.oracle
Class OracleSpatialWhereBuilder

    java.lang.Object
      org.deegree.io.datastore.sql.wherebuilder.WhereBuilder
          org.deegree.io.datastore.sql.oracle.OracleSpatialWhereBuilder

    public class OracleSpatialWhereBuilder

extends WhereBuilder

`WhereBuilder` implementation for Oracle Spatial. Supports Oracle Spatial for Oracle Database 10g. TODO Which Oracle spatial versions are supported exactly?

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Torsten Friebe , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.io.datastore.sql.wherebuilder.WhereBuilder
`filter, filterPropertyPaths, queryTableTree, rootFts, sortProperties, sortPropertyPaths, vcProvider`

Constructor Summary
`OracleSpatialWhereBuilder(MappedFeatureType[] rootFts, String[] aliases, Filter filter, SortProperty[] sortProperties, TableAliasGenerator aliasGenerator, VirtualContentProvider vcProvider)` Creates a new instance of `OracleSpatialWhereBuilder` from the given parameters.

Method Summary
`protected void` | `appendSpatialOperationAsSQL(StatementBuffer query, SpatialOperation operation)` Generates an SQL-fragment for the given object.

Methods inherited from class org.deegree.io.datastore.sql.wherebuilder.WhereBuilder
`appendArithmeticExpressionAsSQL, appendComparisonOperationAsSQL, appendComplexFilterAsSQL, appendExpressionAsSQL, appendFeatureFilterAsSQL, appendFunctionAsSQL, appendJoinTableList, appendLiteralAsSQL, appendLogicalOperationAsSQL, appendOperationAsSQL, appendOrderByCondition, appendPropertyIsBetweenOperationAsSQL, appendPropertyIsCOMPOperationAsSQL, appendPropertyIsLikeOperationAsSQL, appendPropertyIsNullOperationAsSQL, appendPropertyNameAsSQL, appendPropertyPathAsSQL, appendWhereCondition, buildFilterPropertyNameMap, fillFunctionNameMap, getFilter, getFunctionName, getGeometryProperty, getPropertyNameSQLType, getRootTableAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSpatialWhereBuilder

    public OracleSpatialWhereBuilder(MappedFeatureType[] rootFts,
                                     String[] aliases,
                                     Filter filter,
                                     SortProperty[] sortProperties,
                                     TableAliasGenerator aliasGenerator,
                                     VirtualContentProvider vcProvider)
                              throws DatastoreException

  Creates a new instance of `OracleSpatialWhereBuilder` from the given parameters.

  Parameters:
    `rootFts` - selected feature types, more than one type means that the types are joined
    `aliases` - aliases for the feature types, may be null (must have same length as rootFts otherwise)
    `filter` - filter that restricts the matched features
    `sortProperties` - sort criteria for the result, may be null or empty
    `aliasGenerator` - used to generate unique table aliases
    `vcProvider` -
  Throws:
    `DatastoreException`

Method Detail

### appendSpatialOperationAsSQL

    protected void appendSpatialOperationAsSQL(StatementBuffer query,
                                               SpatialOperation operation)
                                        throws DatastoreException

  Generates an SQL-fragment for the given object.

  Overrides:
    `appendSpatialOperationAsSQL` in class `WhereBuilder`
  Throws:
    `DatastoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org